Bug 1674870 - f2fs-tools: FTBFS in Fedora rawhide/f30
Summary: f2fs-tools: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: f2fs-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:10 UTC by Fedora Release Engineering
Modified: 2019-05-10 03:15 UTC (History)
1 user (show)

Fixed In Version: f2fs-tools-1.12.0-1.fc28 f2fs-tools-1.12.0-1.fc29 f2fs-tools-1.12.0-1.fc30 f2fs-tools-1.12.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-25 23:24:25 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:10 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:10 UTC, Fedora Release Engineering
no flags Details
state.log (637 bytes, text/plain)
2019-02-11 17:10 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:10:16 UTC
f2fs-tools failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32382272


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix f2fs-tools at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
f2fs-tools will be orphaned. Before branching of Fedora 31,
f2fs-tools will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:10:18 UTC
Created attachment 1529888 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:10:20 UTC
Created attachment 1529889 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:10:21 UTC
Created attachment 1529890 [details]
state.log

Comment 4 Fedora Update System 2019-04-14 15:41:14 UTC
f2fs-tools-1.12.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1159e433c6

Comment 5 Fedora Update System 2019-04-14 15:41:20 UTC
f2fs-tools-1.12.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f281f84acf

Comment 6 Fedora Update System 2019-04-14 15:41:26 UTC
f2fs-tools-1.12.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-55c88cec0a

Comment 7 Fedora Update System 2019-04-14 15:41:30 UTC
f2fs-tools-1.12.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c600d85e19

Comment 8 Fedora Update System 2019-04-15 01:42:56 UTC
f2fs-tools-1.12.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f281f84acf

Comment 9 Fedora Update System 2019-04-15 15:15:56 UTC
f2fs-tools-1.12.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-55c88cec0a

Comment 10 Fedora Update System 2019-04-15 16:20:03 UTC
f2fs-tools-1.12.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1159e433c6

Comment 11 Fedora Update System 2019-04-15 20:43:39 UTC
f2fs-tools-1.12.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c600d85e19

Comment 12 Fedora Update System 2019-04-25 23:24:25 UTC
f2fs-tools-1.12.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-26 22:29:00 UTC
f2fs-tools-1.12.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-27 21:24:35 UTC
f2fs-tools-1.12.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-10 03:15:15 UTC
f2fs-tools-1.12.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.